#include "main.h"
//--------------------------------------------------------------
#define cs RA5
//--------------------------------------------------------------
void interrupt timer0()
{
  TIM0_Callback();
  T0IF=0;
}
//--------------------------------------------
void SPI_init(void)
{
  TRISC|=0x10; //MISO IN
  TRISC&=~0X28; //MOSI,SCK OUT
  TRISA&=~0X20; //SS OUT
  PORTA&=~0X20; //SS 0
  // SSPM3:SSPM0 = 0000 (SPI Master mode, clock = 1 MHz)
  // SKE=1, SKP=0 (SPI_MODE0)
  // SMP=1 (Input data sampled at end of data output time)
  // SSPEN= 1 (SPI Enabled)
  SSPCON=0x20;
  SSPSTAT=0xC0;
}
//--------------------------------------------
void SPI_SendByte(char data)
{
  SSPBUF=data;
  while(!SSPIF) ;
  SSPIF=0;
}
//--------------------------------------------
static unsigned char SPI_Receive_byte(unsigned char data)
{
  unsigned char temp;
  SSPBUF=data;
  while(!SSPIF);
  SSPIF=0;
  temp=SSPBUF;
  return temp;
}
//--------------------------------------------
void main(void) {
  unsigned int i;
  unsigned char bt;
  TRISB = 0x00;
  PORTB = 0xFF;
  TRISC = 0x00;
  PORTC = 0x00;
  OPTION_REG=0b00000011; //Prescaler 16
  INTCON=0xA0;
  TMR0=0;
  SPI_init();
  while(1)
  {
      for(i=1;i<256;i++)
    {
      cs=0;
      SPI_SendByte(i);
      __delay_us(100);
      bt = SPI_Receive_byte(0);
      cs=1;
      ledprint(bt);
      __delay_ms(200);
    }
  }
}
